<?php

$translate = function ($str) {
	switch ($str)
	{
		case "Wyjscie":
			return "Wyjście";
		case "Przyjscie":
			return "Przyjście";
		case "Sluzbowe":
			return "Służbowe";
		default:
			return $str;
	}
}

?>

<?php if (!empty($items)): ?>
	<table class="table hover-rows">
		<thead>
		<tr>
			<th>Data</th>
			<?php if (!$sgb) { ?> <th>Czas</th> <?php } ?>
			<?php if (!$sgb) { ?> <th>Typ</th> <?php } ?>
			<?php if (!$sgb) { ?> <th>Rodzaj</th> <?php } ?>
            <?php if ($sgb) { ?> <th>Rodzaj pracy</th> <?php } ?>
			<th class="text-right no-sortable"></th>
		</tr>
		</thead>
		<tbody>
		<?php foreach ($items as $k => $item):

			$dataAndTime = explode("T", $item['bDataICzas']);

			$data = $dataAndTime[0];
			$czas = substr($dataAndTime[1], 0, 5);
			$color = $item['bRodzajOdbicia'] == 'Wyjscie' ? '#ffebe6' : '#ecffe6';

            $rodzajPracy = trim(preg_replace('/([A-Z]+)/', ' $1', $item['bRodzajPracy']));

            if ('SGB' == trim($this->request->getSession()->read('grupaLicencji'))) {
                if ('Praca' == $rodzajPracy) {
                    $rodzajPracy = 'Praca Biuro';
                }
            }
			?>
			<tr data-status="" style="background-color: <?php echo $color?>">
				<td><?php echo $data; ?></td>
				<?php if (!$sgb) { ?> <td><?php echo $czas; ?></td> <?php } ?>
				<?php if (!$sgb) { ?> <td><?php echo $translate($item['bRodzajOdbicia']); ?></td> <?php } ?>
				<?php if (!$sgb) { ?> <td><?php echo $translate($item['bRodzajWejsciaWyjscia']); ?></td> <?php } ?>
                <?php if ($sgb) { ?> <td><?php echo $rodzajPracy; ?></td> <?php } ?>
				<td class="text-right table-actions">
					<?php if ($item['bCzyMoznaWstawic'] == 'true') : ?>
						<a rel="tooltip" data-placement="left" title="Wstaw odbicie" class="btn btn-success logged_time_insert" data-gid="<?php echo $item['bGid']; ?>" data-nrewid="<?php echo $item['bNrewid']; ?>">
							<i class="fa fa-external-link-square"></i>
						</a>
					<?php endif; ?>
					<?php if ($item['bCzyMoznaEdytowac'] == 'true') : ?>
						<a href="#" rel="tooltip" data-placement="left" title="Edytuj odbicie" class="btn btn-primary logged_time_edit" data-gid="<?php echo $item['bGid']; ?>" data-nrewid="<?php echo $item['bNrewid']; ?>">
							<i class="fa fa-pencil"></i>
						</a>
					<?php endif; ?>
					<?php if ($item['bCzyMoznaUsunac'] == 'true') : ?>
						<a rel="tooltip" data-placement="left" title="Usuń odbicie" class="btn btn-danger logged_time_remove" data-gid="<?php echo $item['bGid']; ?>" data-nrewid="<?php echo $item['bNrewid']; ?>">
							<i class="fa fa-remove"></i>
						</a>
					<?php endif; ?>
				</td>
			</tr>
		<?php endforeach; ?>
		</tbody>
	</table>
<?php else: ?>
	<div class="no-data" style="min-height: 300px;"><p>Brak danych</p></div>
<?php endif; ?>

<?php echo $this->element('alert_close'); ?>

<script>
    $(document).ready(function () {

        $('.logged_time_insert').on('click', function () {

            var gid = $(this).data('gid');
            var nrewid =  $(this).data('nrewid');

            daj_nowe_odbicie(nrewid, 1, gid);
        });

        $('.logged_time_edit').on('click', function () {

            var gid = $(this).data('gid');
            var nrewid =  $(this).data('nrewid');
            var tr = $(this).parent().parent();
            var tds = tr.children('td');
            var typ = 'Przyjscie';
            var rodzaj = 'Sluzbowe';
            var rodzajPracy = 'Praca';

            if (tds.length === 3) {
                rodzajPracy = tds[1].textContent;
                $.Deferred();

                daj_nowe_odbicie(nrewid, 0, gid, tds[0].textContent);
            } else if (tds.length >= 4) {

                if (tds[2].textContent == 'Wyjście') {
                    typ = 'Wyjscie'
                }

                if (tds[3].textContent == 'Prywatne') {
                    rodzaj = 'Prywatne';
				}

                $.Deferred();

                daj_nowe_odbicie(nrewid, 0, gid, tds[0].textContent, tds[1].textContent);
			}
        });

        $('.logged_time_remove').on('click', function () {
            if (confirm('Czy na pewno chcesz usunąć?')) {
                var gid = $(this).data('gid');
                var nrewid =  $(this).data('nrewid');

                $.ajax({
                    method: 'POST',
                    url: local_url + 'ajax/odbicia/usun_odbicie/' + gid
                }).done(function (response) {
                    hidden_loader_default();
                    response = JSON.parse(response);
                    if(response['error'] != undefined) {
                        showError(response['error']);
                    } else {
                        hideMessages();
                        showSuccess(response['message']);
                        daj_odbicia_pracownika(nrewid, get_filter_odbicie());
                    }
                });
            }
        });

    });
</script>
